Bug 523996 - sound-juicer sees no audio CD
Summary: sound-juicer sees no audio CD
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: brasero
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-17 14:39 UTC by Jón Fairbairn
Modified: 2010-12-05 06:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:22:30 UTC


Attachments (Terms of Use)
output of sound-juicer --brasero-media-debug > /tmp/brasero 2>&1 (2.23 KB, text/plain)
2009-09-17 14:39 UTC, Jón Fairbairn
no flags Details
output of wodim -v -V -inq dev=/dev/sr0 >/tmp/wodim 2>&1 (4.49 KB, application/octet-stream)
2009-09-17 14:47 UTC, Jón Fairbairn
no flags Details

Description Jón Fairbairn 2009-09-17 14:39:44 UTC
Created attachment 361509 [details]
output of sound-juicer --brasero-media-debug > /tmp/brasero 2>&1

Description of problem:
If I put an audio cd into the cdrom drive and start sound-juicer, shows no disc to be present

Version-Release number of selected component (if applicable):
sound-juicer-2.26.1-4.fc11.x86_64

How reproducible:
easily

Steps to Reproduce:
1. put audio cd in drive
2. start sound-juicer
3.
  
Actual results:
title, artist, genre, year, disc all greyed out, Duration: blank, track/title/artist/duration box empty, play and extract greyed out.

Expected results:
Name of CD etc etc, extract possible

Additional info:
I can read discs with cdparanoia, so there are no permissions or selinux issues.

See attachment for --brasero-media-debug output

Comment 1 Jón Fairbairn 2009-09-17 14:47:38 UTC
Created attachment 361510 [details]
output of wodim -v -V -inq dev=/dev/sr0 >/tmp/wodim 2>&1

This might help if the problem is device specific.

I wonder if "wodim: Warning: controller returns wrong size for CD capabilities page." is relevant.

Comment 2 Bastien Nocera 2009-10-20 15:12:06 UTC
sound-juicer uses the brasero libraries to detect CD drives.

Comment 3 Luke Hutchison 2009-10-24 21:33:21 UTC
I confirm this is still a problem on Fedora 12 beta (please someone update Version field to rawhide).  Running sound-juicer gives the following error message (other programs like VLC can play the CD OK), after which sound-juicer quits with segmentation fault:

Sound Juicer could not read the track listing on this CD.
Reason: Cannot access CD: The specified location is not mounted

Here is my output of wodim -v -V -inq dev=/dev/sr0 >/tmp/wodim 2>&1

Note that I cannot burn DVDs right now either without reducing the speed of burn, apparently due to another wodim bug (I'll look for a matching bug report).

--

scsidev: '/dev/sr0'
devname: '/dev/sr0'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Wodim version: 1.1.9
SCSI buffer size: 64512

Executing 'test unit ready' command on Bus 1 Target 0, Lun 0 timeout 40s
CDB:  00 00 00 00 00 00
cmd finished after 0.000s timeout 40s

Executing 'test unit ready' command on Bus 1 Target 0, Lun 0 timeout 40s
CDB:  00 00 00 00 00 00
cmd finished after 0.000s timeout 40s

Executing 'inquiry' command on Bus 1 Target 0, Lun 0 timeout 40s
CDB:  12 00 00 00 24 00
cmd finished after 0.000s timeout 40s
Inquiry Data   : 05 80 05 32 5B 00 00 00 54 45 41 43 20 20 20 20 44 56 2D 57 32 38 53 2D 52 54 20 20 20 20 20 20 37 2E 30 44

Executing 'inquiry' command on Bus 1 Target 0, Lun 0 timeout 40s
CDB:  12 00 00 00 60 00
cmd finished after 0.000s timeout 40s
Inquiry Data   : 05 80 05 32 5B 00 00 00 54 45 41 43 20 20 20 20 44 56 2D 57 32 38 53 2D 52 54 20 20 20 20 20 20 37 2E 30 44 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

Executing 'test unit ready' command on Bus 1 Target 0, Lun 0 timeout 40s
CDB:  00 00 00 00 00 00
cmd finished after 0.000s timeout 40s

Executing 'mode sense g1' command on Bus 1 Target 0, Lun 0 timeout 40s
CDB:  5A 00 3F 00 00 00 00 00 08 00
cmd finished after 0.000s timeout 40s
Mode Sense Data 00 D0 12 00 00 00 00 00

Executing 'test unit ready' command on Bus 1 Target 0, Lun 0 timeout 40s
CDB:  00 00 00 00 00 00
cmd finished after 0.000s timeout 40s

Executing 'mode sense g1' command on Bus 1 Target 0, Lun 0 timeout 40s
CDB:  5A 00 2A 00 00 00 00 00 02 00
cmd finished after 0.000s timeout 40s
Mode Sense Data 00 42
Mode Sense Data (converted) 3F

Executing 'test unit ready' command on Bus 1 Target 0, Lun 0 timeout 40s
CDB:  00 00 00 00 00 00
cmd finished after 0.000s timeout 40s

Executing 'mode sense g1' command on Bus 1 Target 0, Lun 0 timeout 40s
CDB:  5A 00 2A 00 00 00 00 00 44 00
cmd finished after 0.000s timeout 40s
Mode Sense Data 00 42 12 00 00 00 00 00 2A 3A 3F 37 F1 73 29 23 10 89 01 00 07 D0 10 89 00 00 10 89 10 89 00 01 00 00 00 00 10 89 00 05 00 00 10 89 00 00 0D C8 00 00 0B 06 00 00 06 E4 00 00 02 C1 00 00 00 00 00 00 00 00
Mode Sense Data (converted) 3F 12 00 00 2A 3A 3F 37 F1 73 29 23 10 89 01 00 07 D0 10 89 00 00 10 89 10 89 00 01 00 00 00 00 10 89 00 05 00 00 10 89 00 00 0D C8 00 00 0B 06 00 00 06 E4 00 00 02 C1 00 00 00 00 00 00 00 00
Mode Sense Data 3F 12 00 00 2A 3A 3F 37 F1 73 29 23 10 89 01 00 07 D0 10 89 00 00 10 89 10 89 00 01 00 00 00 00 10 89 00 05 00 00 10 89 00 00 0D C8 00 00 0B 06 00 00 06 E4 00 00 02 C1 00 00 00 00 00 00 00 00
Mode Page  Data 2A 3A 3F 37 F1 73 29 23 10 89 01 00 07 D0 10 89 00 00 10 89 10 89 00 01 00 00 00 00 10 89 00 05 00 00 10 89 00 00 0D C8 00 00 0B 06 00 00 06 E4 00 00 02 C1 00 00 00 00 00 00 00 00

Executing 'test unit ready' command on Bus 1 Target 0, Lun 0 timeout 40s
CDB:  00 00 00 00 00 00
cmd finished after 0.000s timeout 40s

Executing 'mode sense g1' command on Bus 1 Target 0, Lun 0 timeout 40s
CDB:  5A 00 2A 00 00 00 00 00 44 00
cmd finished after 0.000s timeout 40s
Mode Sense Data 00 42 12 00 00 00 00 00 2A 3A 3F 37 F1 73 29 23 10 89 01 00 07 D0 10 89 00 00 10 89 10 89 00 01 00 00 00 00 10 89 00 05 00 00 10 89 00 00 0D C8 00 00 0B 06 00 00 06 E4 00 00 02 C1 00 00 00 00 00 00 00 00
Mode Sense Data (converted) 3F 12 00 00 2A 3A 3F 37 F1 73 29 23 10 89 01 00 07 D0 10 89 00 00 10 89 10 89 00 01 00 00 00 00 10 89 00 05 00 00 10 89 00 00 0D C8 00 00 0B 06 00 00 06 E4 00 00 02 C1 00 00 00 00 00 00 00 00
Mode Sense Data 3F 12 00 00 2A 3A 3F 37 F1 73 29 23 10 89 01 00 07 D0 10 89 00 00 10 89 10 89 00 01 00 00 00 00 10 89 00 05 00 00 10 89 00 00 0D C8 00 00 0B 06 00 00 06 E4 00 00 02 C1 00 00 00 00 00 00 00 00

Executing 'test unit ready' command on Bus 1 Target 0, Lun 0 timeout 40s
CDB:  00 00 00 00 00 00
cmd finished after 0.000s timeout 40s
TOC Type: 1 = CD-ROM
Inquiry Data   : ...2[...TEAC    DV-W28S-RT      7.0D                    ........................................
Device type    : Removable CD-ROM
Version        : 5
Response Format: 2
Capabilities   : 
Vendor_info    : 'TEAC    '
Identification : 'DV-W28S-RT      '
Revision       : '7.0D'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.

Comment 4 Bastien Nocera 2009-11-26 11:28:05 UTC
See:
https://bugzilla.gnome.org/show_bug.cgi?id=602947

Comment 5 Jón Fairbairn 2010-01-15 14:52:04 UTC
Still present in released Fedora 12, fully updated as of this morning (UTC)

I get:
0:00:00.139074340  6663      0x12a8420 ERROR           GST_PIPELINE ./grammar.y:609:_gst_parse_yyparse: no element "faac"

Comment 6 Luke Hutchison 2010-01-15 15:21:10 UTC
I get the same warning as comment 5 on Fedora 13 / rawhide.  However I can rip the CD successfully, I just can't play it in Sound Juicer.

Additionally, after ripping the CD once, then ejecting it and re-inserting it, I get the following:

    Sound Juicer could not read the track listing on this CD.
    Reason: Cannot access CD: Error while getting peer-to-peer
    dbus connection: The name :1.115 was not provided by any
    .service files

Installing gstreamer-plugins-bad-nonfree fixes the faac error.  However I'm guessing sound-juicer should not depend upon this element.

After ripping the CD, ejecting it, installing gstreamer-plugins-bad-nonfree, reinserting the CD, getting the above error, closing sound-juicer and re-inserting the CD again, I now get:

    Sound Juicer could not read the track listing on this CD.
    Reason: Cannot access CD: The specified location is not mounted

Comment 7 Stephen 2010-01-23 13:03:11 UTC
I have had similar problems wrt ejecting a CD and then not being able to read any CDs/DVDs I put in and also Audio CDs not being noticed at all, I tracked down bug #478025 on Ubunbtu ( https://bugs.launchpad.net/ubuntu/+source/linux/+bug/478025 ), changed my CD/DVD drive to IDE mode from AHCI in my BIOS and it seems to work for me now.  It appears as if Linux is not handling AHCI very well.  I am not sure if this is the same problem you are having, but it may be worth a look

Comment 8 Bug Zapper 2010-11-04 09:57:20 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2010-12-05 06:22:30 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.